Bug 86451 - Update port: www/plone (upgrade to the latest version)
Summary: Update port: www/plone (upgrade to the latest version)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Vsevolod Stakhov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-22 08:50 UTC by Denis Shaposhnikov
Modified: 2005-12-02 12:55 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (320.94 KB, patch)
2005-09-22 08:50 UTC, Denis Shaposhnikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Shaposhnikov 2005-09-22 08:50:03 UTC
Upgrade www/plone to the latest, 2.1 version.
Change dependency from www/zope to www/zope28.
Use Products from Plone archive instead of dependency.
Comment 1 Vsevolod Stakhov freebsd_committer 2005-09-22 15:05:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vsevolod

I'll handle this.
Comment 2 Vsevolod Stakhov freebsd_committer 2005-09-22 15:11:59 UTC
Dear maintainer of www/plone, what do you think about this patch?
Comment 3 Vsevolod Stakhov freebsd_committer 2005-09-22 17:54:18 UTC
State Changed
From-To: open->feedback

Asked for maintainer approval.
Comment 4 Filippo Natali 2005-09-26 18:11:40 UTC
Alle 16:11, gioved=EC 22 settembre 2005, Vsevolod Stakhov ha scritto:
> Dear maintainer of www/plone, what do you think about this patch?

>Change dependency from www/zope to www/zope28.

Plone 2.1 runs also with Zope 2.7.7 and all other Zope products in the port=
s=20
tree depend from it, so isn't it better to let the user choose which Zope=20
version to use? Several users still on 2.7.7 and maybe they don't want to b=
e=20
forced to migrate to 2.8. At least until Zope 2.8 will be the only version =
in=20
ports.

> Use Products from Plone archive instead of dependency.

Even this will semplify Plone port, it will force users to stick with=20
Plone-bundled product versions until a new Plone release comes out (if the=
=20
new bundle includes a new version of the product...), someone might need=20
newer versions earlier.
OTH, I maintain some of the dependency (already updated to versions require=
d=20
by Plone 2.1), but the maintaner of the others isn't quite responsive and=20
they are outdated (I've already mailed him)

Several users have already installed these Products from ports: if we add=20
conflicts with former dependent ports they must be aware of this...I think =
it=20
will require an entry in UPDATING.

regards,
=46ilippo
Comment 5 Vsevolod Stakhov freebsd_committer 2005-10-19 14:41:06 UTC
On Wed, 19 Oct 2005 15:27:37 +0200
Filippo Natali <filippo.natali@gmail.com> wrote:

> Alle 12:04, mercoled? 19 ottobre 2005, Denis Shaposhnikov ha scritto:
> > Hi!
> >
> > >>>>> "Filippo" =3D=3D Filippo Natali <filippo.natali@gmail.com> writ=
es:
> >  >>
> >  >> Dear maintainer of www/plone, what do you think about this patch?
> >
> >  Filippo> Plone 2.1 runs also with Zope 2.7.7 and all other Zope
> >  Filippo> products in the ports tree depend from it, so isn't it
> >  Filippo> better to let the user choose which Zope version to use?
> >
> > Is it possible to update www/plone or is it better to commit
> > www/plone21 like www/zope28 vs www/zope?
>=20
> Hi,
>=20
> I've recently submitted this:=20
>=20
> http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/87476
>=20
> to allow the selection of Zope version in bsd.python.mk. Recently zope3=
 was=20
> added to ports, so I think the patch needs a little rework to add zope3=
=20
> option, maybe "a la" ZOPE_VERSION=3Dx.y.z instead of WITH_ZOPEXYZ.

Yes, IMHO it is much better to have such macro. As example:
USE_ZOPE_VER=3D280 or
USE_ZOPE_VER=3D270+

I can rework your patch if you want.

> Plone 2.1 is backward compatible with older versions, so I'd prefer to =
have=20
> only a version in ports.

So, I'm marking this PR as suspended, as patch to bsd.python.mk must be c=
ommitted first if there are no objections.
Comment 6 Vsevolod Stakhov freebsd_committer 2005-10-19 14:47:24 UTC
State Changed
From-To: feedback->suspended

Wait for ports/87476
Comment 7 Filippo Natali 2005-10-19 14:57:57 UTC
Alle 15:41, mercoled=EC 19 ottobre 2005, Vsevolod Stakhov ha scritto:
> > Hi,
> >
> > I've recently submitted this:
> >
> > http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/87476
> >
> > to allow the selection of Zope version in bsd.python.mk. Recently zope3
> > was added to ports, so I think the patch needs a little rework to add
> > zope3 option, maybe "a la" ZOPE_VERSION=3Dx.y.z instead of WITH_ZOPEXYZ.
>
> Yes, IMHO it is much better to have such macro. As example:
> USE_ZOPE_VER=3D280 or
> USE_ZOPE_VER=3D270+
>
> I can rework your patch if you want.

It would be nice, I'm pretty busy until the end of the month :)

>
> > Plone 2.1 is backward compatible with older versions, so I'd prefer to
> > have only a version in ports.
>
> So, I'm marking this PR as suspended, as patch to bsd.python.mk must be
> committed first if there are no objections.

Perfect, the only thing to remove from this PR is the hardcoded dependency=
=20
from Zope 2.8...meanwhile Plone 2.1.1 has been released, it's only a bugfix=
=20
release.

cheers
=46ilippo
Comment 8 Filippo Natali 2005-11-12 15:24:11 UTC
Alle 15:41, mercoled=EC 19 ottobre 2005, Vsevolod Stakhov ha scritto:
> So, I'm marking this PR as suspended, as patch to bsd.python.mk must be
> committed first if there are no objections.

pr 87476 has been committed, then this pr can be unsuspended.

Just update the original pr PORTVERSION to 2.1.1, reroll distinfo and remov=
e=20

SZOPEBASEDIR=3D  www/Zope28
ZOPEBASEDIR=3D   ${PREFIX}/${SZOPEBASEDIR}
ZOPEPRODUCTDIR=3D        Products

from pr Makefile, since now it's into bsd.python.mk.
I think CONFLICTS lines should be added to conflicting ports too...should I=
=20
send a pr for this or a committer can do it automagically? :)

regards,
=46ilippo
Comment 9 Palle Girgensohn freebsd_committer 2005-11-17 18:42:15 UTC
Hi!

Is anything happening on this? I'd love to get plone 2.1.1 into the ports 
tree. Filippo, which ports are conflicting, do you know exactly? The ones 
that it previously, optionally, could depend on? Any other?

/Palle
Comment 10 Filippo Natali 2005-11-19 15:55:56 UTC
Alle 19:42, gioved=EC 17 novembre 2005, Palle Girgensohn ha scritto:
> Hi!
>
> Is anything happening on this? I'd love to get plone 2.1.1 into the ports
> tree. Filippo, which ports are conflicting, do you know exactly? The ones
> that it previously, optionally, could depend on? Any other?
>
> /Palle

Hi,

I've uploaded the updated patch here:
http://plone.gufi.org/Collaboratori/UlbabraB/Ports/plone-20051119.diff

The conflicting ports are listed in Makefile...sorry for the delay (damn re=
al=20
life!)

=46ilippo
Comment 11 Vsevolod Stakhov freebsd_committer 2005-11-23 12:40:14 UTC
On Sat, 19 Nov 2005 16:55:56 +0100
Filippo Natali <filippo.natali@gmail.com> wrote:

> Alle 19:42, gioved? 17 novembre 2005, Palle Girgensohn ha scritto:
> > Hi!
> >
> > Is anything happening on this? I'd love to get plone 2.1.1 into the p=
orts
> > tree. Filippo, which ports are conflicting, do you know exactly? The =
ones
> > that it previously, optionally, could depend on? Any other?
> >
> > /Palle
>=20
> Hi,
>=20
> I've uploaded the updated patch here:
> http://plone.gufi.org/Collaboratori/UlbabraB/Ports/plone-20051119.diff

Can you please also provide correct pkg-plist for plone?
=20
> The conflicting ports are listed in Makefile...sorry for the delay (dam=
n real=20
> life!)

Understood, same things now unfortunately.
Comment 12 Filippo Natali 2005-11-23 17:21:31 UTC
2005/11/23, Vsevolod Stakhov <vsevolod@freebsd.org>:
> > I've uploaded the updated patch here:
> > http://plone.gufi.org/Collaboratori/UlbabraB/Ports/plone-20051119.diff
>
> Can you please also provide correct pkg-plist for plone?

The pkg-plist is automatically generated (like other Zope Products
ports), the old pkg-plist file can be deleted

Filippo
Comment 13 Vsevolod Stakhov freebsd_committer 2005-11-25 11:23:47 UTC
On Wed, 23 Nov 2005 18:21:31 +0100
Filippo Natali <filippo.natali@gmail.com> wrote:

> 2005/11/23, Vsevolod Stakhov <vsevolod@freebsd.org>:
> > > I've uploaded the updated patch here:
> > > http://plone.gufi.org/Collaboratori/UlbabraB/Ports/plone-20051119.diff
> >
> > Can you please also provide correct pkg-plist for plone?
> 
> The pkg-plist is automatically generated (like other Zope Products
> ports), the old pkg-plist file can be deleted

I don't see any plist generation logic in Makefile. It was before there, but removed in your patch. Is this right?
Comment 14 Filippo Natali 2005-11-28 16:11:26 UTC
Alle 12:23, venerd=EC 25 novembre 2005, Vsevolod Stakhov ha scritto:
> On Wed, 23 Nov 2005 18:21:31 +0100
>
> Filippo Natali <filippo.natali@gmail.com> wrote:
> > 2005/11/23, Vsevolod Stakhov <vsevolod@freebsd.org>:
> > > > I've uploaded the updated patch here:
> > > > http://plone.gufi.org/Collaboratori/UlbabraB/Ports/plone-20051119.d=
if
> > > >f
> > >
> > > Can you please also provide correct pkg-plist for plone?
> >
> > The pkg-plist is automatically generated (like other Zope Products
> > ports), the old pkg-plist file can be deleted
>
> I don't see any plist generation logic in Makefile. It was before there,
> but removed in your patch. Is this right?

Sorry for the mistake, this should be correct:

http://plone.gufi.org/Collaboratori/UlbabraB/Ports/plone-20051127.diff

This is the patch for the conflicting ports:

http://plone.gufi.org/Collaboratori/UlbabraB/Ports/plone-conflicts.diff

best regards
=46ilippo
Comment 15 Vsevolod Stakhov freebsd_committer 2005-12-02 12:54:31 UTC
State Changed
From-To: suspended->closed

Committed, thank you!